/**
 * create array from source array with order
 * @param {array} source source array
 * @param {number}order  the number to begin retrieve
 * @returns {Array}
 */
let getArrayFromArrayByOrder = (source, order)=> {
  if (!Array.isArray(source))
    return [];
  let argsLength = source.length;
  if (order >= argsLength) return [];
  let output = [];
  for (let ix = order; ix < argsLength; ix++) {
    output.push(source[ix]);
  }

  return output;
};

const arrayTools = {
  getArrayFromArrayByOrder,
};

export default arrayTools;

